@tailwind base;
@tailwind components;
@tailwind utilities;




@font-face {
    font-family: 'Lato-Regular';
    src: url("../../public/assets/fonts/Lato-Regular.woff2") format('woff2');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Lato-Bold';
    src: url("../../public/assets/fonts/Lato-Bold.woff2") format('woff2');
    font-weight: bold;
    font-style: normal;
    font-display: swap;
}
@font-face {
    font-family: 'Inter-Regular';
    src: url("../../public/assets/fonts/Inter-Regular.woff2") format('woff2');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Inter-Medium';
    src: url("../../public/assets/fonts/Inter-Medium.woff2") format('woff2');
    font-weight: 500;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Inter-Bold';
    src: url("../../public/assets/fonts/Inter-Bold.woff2") format('woff2');
    font-weight: bold;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Inter-SemiBold';
    src: url("../../public/assets/fonts/Inter-SemiBold.woff2") format('woff2');
    font-weight: 600;
    font-style: normal;
    font-display: swap;
}
.Lato-Regular {
	font-family: 'Lato-Regular' !important 
}
.Lato-Bold {
	font-family: 'Lato-Bold' !important
}
.Inter-Regular {
	font-family: 'Inter-Regular' !important
}
.Inter-Medium {
	font-family: 'Inter-Medium' !important
}
.Inter-Bold {
	font-family: 'Inter-Bold' !important
}
.Inter-SemiBold {
	font-family: 'Inter-SemiBold' !important
}

* {
	margin: 0;
	padding: 0;
	border: 0;
	vertical-align: baseline;
	background: 0 0;
	font-weight: 400;
	font-style: normal;
	text-decoration: none;
	outline: 0;
	box-sizing: border-box;
	-moz-box-sizing: border-box;
	-webkit-box-sizing: border-box;
	font-family: "gordita_regular";
}
body {
	margin: 0%;
	padding: 0%;
	color: rgb(var(--foreground-rgb));
	background: linear-gradient(
			to bottom,
			transparent,
			rgb(var(--background-end-rgb))
		)
		rgb(var(--background-start-rgb));
	font-family: "gordita_regular";
	font-size: 16px;
	overflow-x: hidden;
	min-width: 320px;
}
html.modal-open {
	overflow: hidden !important;
}
html {
	max-width: 100vw;
	overflow-x: hidden;
}
p {
	line-height: 1.6em;
	font-size: 16px;
	color: #868686;
	font-family: gordita_regular;
}
.wrapper {
	width: 90%;
	margin: 0 auto;
}

.main{
	background-image: url("../../public/assets/images/background.jpg");
	background-repeat: repeat;
	background-size: cover;
	width: 100%;
}
.black{
	background-image: url("../../public/assets/images/black.png");
	background-repeat: repeat;
	background-size: cover;
	width: 70%;
}
.footer{
	background-image: url("../../public/assets/images/follow.jpg");
	background-repeat: repeat;
	background-size: cover;
	width: 100%;
}
.about{
	background-image: url("../../public/assets/images/about-spotlight.jpg");
	background-repeat: repeat;
	background-size: cover;
	width: 100%;
}
.mission{
	background-image: url("../../public/assets/images/mission.jpg");
	background-repeat: repeat;
	background-size: cover;
	width: 100%;
}
.class{
	background-image: url("../../public/assets/images/classes.png");
	background-repeat: repeat;
	background-size: cover;
	width: 100%;
}
.club{
	background-image: url("../../public/assets/images/club.png");
	background-repeat: repeat;
	background-size: cover;
	width: 100%;
}
.class-single{
	background-image: url("../../public/assets/images/single-class.jpg");
	background-repeat: repeat;
	background-size: cover;
	width: 100%;
}
.Trainers{
	background-image: url("../../public/assets/images/trainers.png");
	background-repeat: repeat;
	background-size: cover;
	width: 100%;
}
.Blog{
	background-image: url("../../public/assets/images/blogbackground.png");
	background-repeat: repeat;
	background-size: cover;
	width: 100%;
}
.box{
	&:hover {
		box-shadow: 0px 2px 38px 0px rgba(65, 65, 65, 0.30);
	}
}
.Contact{
	background-image: url("../../public/assets/images/contactbackground.png");
	background-repeat: repeat;
	background-size: cover;
	width: 100%;
}
.Details{
	background-image: url("../../public/assets/images/details.jpg");
	background-repeat: repeat;
	background-size: cover;
	width: 100%;
}
.line{
	border-bottom: 1px solid #222;
	
}